is.db.data.frame {PivotalR} | R Documentation

## Check if an object is of type `db.data.frame`

### Description

This function checks if the input is of type `db.data.frame`.

### Usage

    is.db.data.frame(x)

### Arguments

`x` | The input can be of any type.

### Details

`is.db.data.frame()` returns `TRUE` if `x` is of type `db.data.frame`. Otherwise, it returns `FALSE`.

### Value

A logical. Returns `TRUE` if the input is of type `db.data.frame`

### Author(s)

Author: Predictive Analytics Team at Pivotal Inc.

Maintainer: Frank McQuillan, Pivotal Inc. fmcquillan@pivotal.io

### See Also

`as.db.data.frame` Convert an object into another object of type `db.data.frame`.

### Examples

    ## Not run:

    ## set up the database connection
    ## Assume that .port is port number and .dbname is the database name
    cid <- db.connect(port = .port, dbname = .dbname, verbose = FALSE)

    ## create a table from the example data.frame "abalone"
    tmp <- as.db.data.frame(abalone, conn.id = cid, verbose = FALSE)
    x <- db.data.frame(content(tmp), conn.id = cid, key = 'id')

    ## getting the primary key
    is.db.data.frame(x) #check if x is of type db.data.frame

    db.disconnect(cid, verbose = FALSE)

    ## End(Not run)

[Package PivotalR version 0.1.18.3.1 Index]